
<?php $__env->startSection('panel'); ?>
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <form action="" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-xl-4 col-md-6">
                                <div class="form-group">
                                    <label> <?php echo app('translator')->get('Site Title'); ?></label>
                                    <input class="form-control" name="site_name" type="text" value="<?php echo e($general->site_name); ?>" required>
                                </div>
                            </div>
                            <div class="col-xl-4 col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Currency'); ?></label>
                                    <input class="form-control" name="cur_text" type="text" value="<?php echo e($general->cur_text); ?>" required>
                                </div>
                            </div>
                            <div class="col-xl-4 col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Currency Symbol'); ?></label>
                                    <input class="form-control" name="cur_sym" type="text" value="<?php echo e($general->cur_sym); ?>" required>
                                </div>
                            </div>
                            <div class="col-xl-4 col-md-6">
                                <div class="form-group">
                                    <label> <?php echo app('translator')->get('Timezone'); ?></label>
                                    <select class="select2-basic" name="timezone">
                                        <?php $__currentLoopData = $timezones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $timezone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e(@$key); ?>"><?php echo e(__($timezone)); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-xl-4 col-md-6">
                                <div class="form-group">
                                    <label> <?php echo app('translator')->get('Site Base Color'); ?></label>
                                    <div class="input-group">
                                        <span class="input-group-text border-0 p-0">
                                            <input class="form-control colorPicker" type='text' value="<?php echo e($general->base_color); ?>" />
                                        </span>
                                        <input class="form-control colorCode" name="base_color" type="text" value="<?php echo e($general->base_color); ?>" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-md-6">
                                <div class="form-group">
                                    <label> <?php echo app('translator')->get('Site Secondary Color'); ?></label>
                                    <div class="input-group">
                                        <span class="input-group-text border-0 p-0">
                                            <input class="form-control colorPicker" type='text' value="<?php echo e($general->secondary_color); ?>" />
                                        </span>
                                        <input class="form-control colorCode" name="secondary_color" type="text" value="<?php echo e($general->secondary_color); ?>" />
                                    </div>
                                </div>
                            </div>

                            <div class="col-xl-4 col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('File Upload Server'); ?></label>
                                    <select class="form-control" name="file_server">
                                        <option value="current" <?php if($general->server == 'current'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Current Server'); ?></option>
                                        <option value="custom-ftp" <?php if($general->server == 'custom-ftp'): echo 'selected'; endif; ?>><?php echo app('translator')->get('FTP'); ?></option>
                                        <option value="wasabi" <?php if($general->server == 'wasabi'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Wasabi'); ?></option>
                                        <option value="digital_ocean" <?php if($general->server == 'digital_ocean'): echo 'selected'; endif; ?>><?php echo app('translator')->get('Digital Ocean'); ?></option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-xl-4 col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Video Skip Time'); ?></label>
                                    <div class="input-group">
                                        <input class="form-control" name="skip_time" type="number" value="<?php echo e($general->skip_time); ?>">
                                        <span class="input-group-text"><?php echo app('translator')->get('Seconds'); ?></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-md-12">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('TMDB API KEY'); ?></label>
                                    <input class="form-control" name="tmdb_api" type="text" value="<?php echo e($general->tmdb_api); ?>">
                                </div>
                            </div>
                            <h5 class="mt-4 mb-2"><?php echo app('translator')->get('Pusher Configuration'); ?></h5>
                            <div class="col-xl-3 col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('App ID'); ?></label>
                                    <input class="form-control" name="app_id" type="text" value="<?php echo e(@$general->pusher_config->app_id); ?>" required>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('App Key'); ?></label>
                                    <input class="form-control" name="app_key" type="text" value="<?php echo e(@$general->pusher_config->app_key); ?>" required>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('App Secret Key'); ?></label>
                                    <input class="form-control" name="app_secret_key" type="text" value="<?php echo e(@$general->pusher_config->app_secret_key); ?>" required>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Cluster'); ?></label>
                                    <input class="form-control" name="cluster" type="text" value="<?php echo e(@$general->pusher_config->cluster); ?>" required>
                                </div>
                            </div>
                        </div>
                        <button class="btn btn--primary w-100 h-45" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/admin/js/spectrum.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link href="<?php echo e(asset('assets/admin/css/spectrum.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .select2-container {
            z-index: 0 !important;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";

            $('.colorPicker').spectrum({
                color: $(this).data('color'),
                change: function(color) {
                    $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
                }
            });

            $('.colorCode').on('input', function() {
                var clr = $(this).val();
                $(this).parents('.input-group').find('.colorPicker').spectrum({
                    color: clr,
                });
            });

            $('select[name=timezone]').val("<?php echo e($currentTimezone); ?>").select2();
            $('.select2-basic').select2({
                dropdownParent: $('.card-body')
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/oncfgjppqf/zoombox.africa/core/resources/views/admin/setting/general.blade.php ENDPATH**/ ?>