<?php $__env->startSection('content'); ?>
    <div class="pt-80 pb-80">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="main-video">
                        <video class="video-player" playsinline controls data-poster="<?php echo e(getImage(getFilePath('item_landscape') . '/' . $item->image->landscape)); ?>">
                            <?php $__currentLoopData = $videos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <source src="<?php echo e($video->content); ?>" type="video/mp4" size="<?php echo e($video->size); ?>" />
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php $__currentLoopData = $subtitles ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subtitle): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <track kind="captions" label="<?php echo e($subtitle->language); ?>" src="<?php echo e(getImage(getFilePath('subtitle') . '/' . $subtitle->file)); ?>" srclang="<?php echo e($subtitle->code); ?>" />
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </video>

                        <?php if($item->version == Status::RENT_VERSION && !$watchEligable): ?>
                            <div class="main-video-lock">
                                <div class="main-video-lock-content">
                                    <span class="icon"><i class="las la-lock"></i></span>
                                    <p class="title"><?php echo app('translator')->get('Purchase Now'); ?></p>
                                    <p class="price">
                                        <span class="price-amount"><?php echo e($general->cur_sym); ?><?php echo e(showAmount($item->rent_price)); ?></span>
                                        <span class="small-text ms-3"><?php echo app('translator')->get('For'); ?> <?php echo e($item->rental_period); ?> <?php echo app('translator')->get('Days'); ?></span>
                                    </p>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>

                    <div class="ad-video position-relative d-none">
                        <video class="ad-player" style="display: none" id="ad-video"></video>
                        <div class="ad-links d-none">
                            <?php $__currentLoopData = $adsTime ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ads): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <source src="<?php echo e($ads); ?>" type="video/mp4" />
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div class="d-flex justify-content-between align-items-center flex-wrap  skip-video">
                            <span class="advertise-text d-none"><?php echo app('translator')->get('Advertisement'); ?> - <span class="remains-ads-time">00:52</span></span>
                            <button class="skipButton d-none" id="skip-button" data-skip-time="0"><?php echo app('translator')->get('Skip Ad'); ?></button>
                        </div>
                    </div>

                    <div class="movie-content">
                        <div class="movie-content-inner d-sm-flex justify-content-between align-items-center flex-wrap">
                            <div class="movie-content-left">
                                <h3 class="title"><?php echo e(__($item->title)); ?></h3>
                                <span class="sub-title"><?php echo app('translator')->get('Category'); ?> : <span class="cat"><?php echo e(@$item->category->name); ?></span>
                                    <?php if($item->sub_category): ?>
                                        <?php echo app('translator')->get('Sub Category'); ?>: <?php echo e(@$item->sub_category->name); ?>

                                    <?php endif; ?>
                                </span>
                            </div>
                            <div class="movie-content-right mt-sm-0 mt-3">
                                <div class="movie-widget-area align-items-center">
                                    <?php if(auth()->guard()->check()): ?>
                                        <?php if($watchEligable && gs('watch_party')): ?>
                                            <button type="button" class="watch-party-btn watchPartyBtn">
                                                <i class="las la-desktop base--color"></i>
                                                <span><?php echo app('translator')->get('Watch party'); ?></span>
                                            </button>
                                        <?php endif; ?>
                                    <?php endif; ?>

                                    <span class="movie-widget">
                                        <i class="lar la-star base--color"></i>
                                        <span><?php echo e(getAmount($item->ratings)); ?></span>
                                    </span>

                                    <span class="movie-widget">
                                        <i class="lar la-eye color--danger"></i>
                                        <span><?php echo e(getAmount($item->view)); ?> <?php echo app('translator')->get('views'); ?></span>
                                    </span>

                                    <?php
                                        $wishlist = $item->wishlists->where('user_id', auth()->id())->count();
                                    ?>

                                    <span class="movie-widget addWishlist <?php echo e($wishlist ? 'd-none' : ''); ?>" data-id="<?php echo e($item->id); ?>" data-type="item"><i class="las la-plus-circle"></i></span>
                                    <span class="movie-widget removeWishlist <?php echo e($wishlist ? '' : 'd-none'); ?>" data-id="<?php echo e($item->id); ?>" data-type="item"><i class="las la-minus-circle"></i></span>
                                </div>

                                <ul class="post-share d-flex align-items-center justify-content-sm-end justify-content-start flex-wrap">
                                    <li class="caption"><?php echo app('translator')->get('Share'); ?> : </li>

                                    <li data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo app('translator')->get('Facebook'); ?>">
                                        <a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo e(urlencode(url()->current())); ?>"><i class="lab la-facebook-f"></i></a>
                                    </li>
                                    <li data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo app('translator')->get('Linkedin'); ?>">
                                        <a href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo e(urlencode(url()->current())); ?>&amp;title=<?php echo e(__(@$item->title)); ?>&amp;summary=<?php echo strLimit(strip_tags($item->description), 130); ?>"><i class="lab la-linkedin-in"></i></a>
                                    </li>
                                    <li data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo app('translator')->get('Twitter'); ?>">
                                        <a href="https://twitter.com/intent/tweet?text=<?php echo e(__(@$item->title)); ?>%0A<?php echo e(url()->current()); ?>"><i class="lab la-twitter"></i></a>
                                    </li>
                                    <li data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo app('translator')->get('Pinterest'); ?>">
                                        <a href="http://pinterest.com/pin/create/button/?url=<?php echo e(urlencode(url()->current())); ?>&description=<?php echo e(__(@$item->title)); ?>&media=<?php echo e(getImage(getFilePath('item_landscape') . '/' . @$item->image->landscape)); ?>"><i class="lab la-pinterest"></i></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <p class="mt-3"><?php echo e(__($item->preview_text)); ?></p>
                    </div>

                    <div class="movie-details-content">
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="description" role="tabpanel" aria-labelledby="description-tab">
                                <div class="card mb-sm-3 col-12 order-sm-1 order-2 mt-3 p-0">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <h4 class="mb-3"><?php echo app('translator')->get('Details'); ?></h4>
                                                <p><?php echo e(__($item->description)); ?></p>
                                            </div>
                                            <div class="col-lg-6 mt-lg-0 mt-4">
                                                <h4 class="mb-3"><?php echo app('translator')->get('Team'); ?></h4>
                                                <ul class="movie-details-list">
                                                    <li>
                                                        <span class="caption"><?php echo app('translator')->get('Director:'); ?></span>
                                                        <span class="value"><?php echo e(__($item->team->director)); ?></span>
                                                    </li>
                                                    <li>
                                                        <span class="caption"><?php echo app('translator')->get('Producer:'); ?></span>
                                                        <span class="value"><?php echo e(__($item->team->producer)); ?></span>
                                                    </li>
                                                    <li>
                                                        <span class="caption"><?php echo app('translator')->get('Cast:'); ?></span>
                                                        <span class="value"><?php echo e(__($item->team->casts)); ?></span>
                                                    </li>
                                                    <li>
                                                        <span class="caption"><?php echo app('translator')->get('Genres:'); ?></span>
                                                        <span class="value"><?php echo e(__(@$item->team->genres)); ?></span>
                                                    </li>
                                                    <li>
                                                        <span class="caption"><?php echo app('translator')->get('Language:'); ?></span>
                                                        <span class="value"><?php echo e(__(@$item->team->language)); ?></span>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <?php if(!blank($episodes)): ?>
                                    <div class="card col-12 order-sm-2 order-1 p-0">
                                        <div class="card-body p-0">
                                            <ul class="movie-small-list movie-list-scroll">
                                                <?php $__currentLoopData = $episodes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $episode): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php
                                                        $status = checkLockStatus($episode, $userHasSubscribed, $hasSubscribedItem);
                                                    ?>
                                                    <li class="movie-small d-flex align-items-center justify-content-between movie-item__overlay video-item flex-wrap"
                                                        data-img="<?php echo e(getImage(getFilePath('episode') . '/' . $episode->image)); ?>" data-text="<?php echo e($episode->versionName); ?>">

                                                        <div class="caojtyektj d-flex align-items-center flex-wrap">
                                                            <div class="movie-small__thumb">
                                                                <img src="<?php echo e(getImage(getFilePath('episode') . '/' . $episode->image)); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                                                            </div>

                                                            <div class="movie-small__content">
                                                                <h5><?php echo e(__($episode->title)); ?></h5>
                                                                <?php if($status): ?>
                                                                    <a class="base--color" href="<?php echo e(route('watch', [$item->slug, $episode->id])); ?>"><?php echo app('translator')->get('Play Now'); ?></a>
                                                                <?php else: ?>
                                                                    <a class="base--color" href="<?php echo e(route('user.home')); ?>"><?php echo app('translator')->get('Subscribe to watch'); ?></a>
                                                                <?php endif; ?>
                                                            </div>
                                                        </div>
                                                        <div class="movie-small__lock">
                                                            <span class="movie-small__lock-icon">
                                                                <?php if($status): ?>
                                                                    <i class="fas fa-unlock"></i>
                                                                <?php else: ?>
                                                                    <i class="fas fa-lock"></i>
                                                                <?php endif; ?>
                                                            </span>
                                                        </div>
                                                    </li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <section class="movie-section pb-80">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="section-header">
                        <h2 class="section-title"><?php echo app('translator')->get('Related Items'); ?></h2>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center mb-30-none">
                <?php $__currentLoopData = $relatedItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $related): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-xxl-3 col-md-3 col-4 col-xs-6 mb-30">
                        <div class="movie-card" data-text="<?php echo e($related->versionName); ?>">
                            <div class="movie-card__thumb thumb__2">
                                <img src="<?php echo e(getImage(getFilePath('item_portrait') . '/' . $related->image->portrait)); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                                <a class="icon" href="<?php echo e(route('watch', $related->slug)); ?>"><i class="fas fa-play"></i></a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>

    <div class="watch-party-modal modal fade" id="watchPartyModal" data-bs-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><i class="las la-times"></i></button>
                <h3 class="title"><?php echo app('translator')->get('Watch Party'); ?></h3>
                <h6 class="tagline"><?php echo app('translator')->get('Watch movies together with your friends and families.'); ?></h6>
                <button class="btn btn--base startPartyBtn"><?php echo app('translator')->get('Now Start Your Party'); ?> <i class="las la-long-arrow-alt-right"></i></button>
            </div>
        </div>
    </div>


    <div class="modal alert-modal" id="rentModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <form action="<?php echo e(route('user.subscribe.video', $item->id)); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <span class="alert-icon"><i class="fas fa-question-circle"></i></span>
                        <p class="modal-description"><?php echo app('translator')->get('Confirmation Alert!'); ?></p>
                        <p class="modal--text"><?php echo app('translator')->get('Please purchase to this rent item for'); ?> <?php echo e($item->rental_period); ?> <?php echo app('translator')->get('days'); ?></p>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn--cancel btn-sm" data-bs-dismiss="modal" type="button"><?php echo app('translator')->get('Cancel'); ?></button>
                        <button class="btn btn--submit btn-sm" type="submit"><?php echo app('translator')->get('Purchase Now'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .main-video:has(.main-video-lock) {
            position: relative;
        }

        .main-video-lock {
            position: absolute;
            height: 100%;
            width: 100%;
            top: 0;
            left: 0;
            background-color: rgba(0, 0, 0, 0.555);
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .main-video-lock-content {
            padding: 20px;
            background: rgb(0 0 0 / 70%);
            border-radius: 4px;
            width: 100%;
            height: 100%;
            cursor: pointer;
            display: grid;
            place-content: center;
        }

        .main-video-lock-content .title {
            text-align: center;
            color: #fff;
            font-size: 14px;
        }

        .main-video-lock-content .icon {
            font-size: 56px;
            display: block;
            text-align: center;
            line-height: 1;
            color: #ee005f;
        }

        .main-video-lock-content .price {
            font-size: 36px;
            display: block;
            text-align: center;
            color: white;
            background: rgb(238 0 5 / 5%);
            margin-top: 10px;
            border-radius: inherit;
            line-height: 1;
            padding: 7px 0;
        }

        .main-video-lock-content .price .price-amount {
            color: #ee005f;
            font-weight: 700;
            letter-spacing: -2;
        }

        .main-video-lock-content .price .small-text {
            font-size: 14px;
        }

        .main-video-lock-content .price span {
            line-height: 1;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/global/css/plyr.min.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/global/js/plyr.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/global/js/hls.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        $(document).ready(function() {
            $(document).find('.plyr__controls').addClass('d-none');
            $(document).find('.ad-video').find('.plyr__controls').addClass('d-none');
        });

        (function($) {
            "use strict";

            let rent = "<?php echo e(Status::RENT_VERSION); ?>";

            $('.main-video-lock').on('click', function(e) {
                var modal = $('#rentModal');
                modal.modal('show');
            });

            const controls = [
                'play-large',
                'rewind',
                'play',
                'fast-forward',
                'progress',
                'mute',
                'settings',
                'pip',
                'airplay',
                'fullscreen'
            ];

            let player = new Plyr('.video-player', {
                controls,
                ratio: '16:9'
            });


            var data = [
                <?php $__currentLoopData = $videos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    {
                        src: "<?php echo e($video->content); ?>",
                        type: 'video/mp4',
                        size: "<?php echo e($video->size); ?>",
                    },
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            ];


            player.on('qualitychange', event => {
                $.each(data, function() {
                    initData();
                })
            });

            player.on('play', () => {
                let watchEligable = "<?php echo e(@$watchEligable); ?>";
                if (!Number(watchEligable)) {
                    var modal = $('#alertModal');
                    modal.modal('show');
                    player.pause();
                    return false;
                }
                $(document).find('.plyr__controls').removeClass('d-none');
            });

            const skipButton = $('#skip-button');

            const adItems = [
                <?php $__currentLoopData = $adsTime; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $ads): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    {
                        timing: "<?php echo e($key); ?>",
                        source: "<?php echo e($ads); ?>"
                    },
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            ];

            const adPlayer = new Plyr('.ad-player', {
                clickToPlay: false,
                ratio: '16:9'
            });

            let firstAd = false;
            const result = adItems.filter((obj) => {
                if (obj.timing == 0) {
                    firstAd = true;
                    return obj;
                }
            });

            if (firstAd) {
                adPlayer.source = {
                    type: 'video',
                    sources: [{
                        src: $('.ad-links').children('source:first').attr('src'),
                        type: 'video/mp4'
                    }],
                };
                player.pause();
                $('.main-video').addClass('d-none');
                $('.ad-video').removeClass('d-none');
                $(document).find('.ad-video').find('.plyr__controls').hide();
                adPlayer.play();
            }

            let skipTime = Number("<?php echo e($general->skip_time); ?>");

            player.on('timeupdate', function() {
                const currentTime = Math.floor(player.currentTime);
                for (let i = 0; i < adItems.length; i++) {
                    const adItem = adItems[i];

                    if (currentTime >= adItem.timing && !adItem.played) {
                        skipButton.addClass('d-none');
                        adPlayer.source = {
                            type: 'video',
                            sources: [{
                                src: $('.ad-links').children('source').eq(i).attr('src'),
                                type: 'video/mp4'
                            }],
                            poster: "<?php echo e(getImage(getFilePath('item_landscape') . '/' . $item->image->landscape)); ?>",
                        };
                        player.pause();
                        $('.main-video').addClass('d-none');
                        $('.ad-video').removeClass('d-none');
                        $(document).find('.ad-video').find('.plyr__controls').hide();
                        adPlayer.play();
                        adPlayer.on('play', () => {
                            $('.advertise-text').removeClass('d-none');
                        })
                        adPlayer.on('timeupdate', () => {
                            const currentTime = Math.floor(adPlayer.currentTime);
                            const duration = Math.floor(adPlayer.duration);
                            if (!isNaN(currentTime) && !isNaN(duration)) {
                                const remainingTime = duration - currentTime;
                                const formattedTime = formatTime(remainingTime);
                                $('.remains-ads-time').text(formattedTime);
                            }
                            if (adPlayer.currentTime >= skipTime) {
                                skipButton.removeClass('d-none');
                            }
                        });
                        adItem.played = true;
                        break;
                    }
                }
            });

            function formatTime(timeInSeconds) {
                const date = new Date(null);
                date.setSeconds(timeInSeconds);
                return date.toISOString().substr(11, 8);
            }

            adPlayer.on('ended', () => {
                player.play();
                $('.ad-video').addClass('d-none');
                $('.main-video').removeClass('d-none');
                $('.advertise-text').addClass('d-none');
            });

            skipButton.on('click', function() {
                adPlayer.pause();
                $('.ad-video').addClass('d-none');
                $('.main-video').removeClass('d-none');
                player.play();
                skipButton.addClass('d-none');
                $('.advertise-text').addClass('d-none');
            });

            let partyCode;
            $('.watchPartyBtn').on('click', function(e) {
                let modal = $("#watchPartyModal");
                modal.modal('show')
            });



            $('.copy-code').on('click', function() {
                var copyText = $('.party-code');
                copyText = copyText[0];
                copyText.select();
                copyText.setSelectionRange(0, 99999);
                document.execCommand("copy");
                copyText.blur();
            });

            $('.startPartyBtn').on('click', function(e) {
                let processBtn = `<span class="processing"><?php echo app('translator')->get('Processing'); ?> <i class="las la-spinner"></i> </span>`;
                let startBtn = `<?php echo app('translator')->get('Now Start Your Party'); ?> <i class="las la-long-arrow-alt-right"></i>`;
                $.ajax({
                    type: "POST",
                    url: `<?php echo e(route('user.watch.party.create')); ?>`,
                    data: {
                        _token: "<?php echo e(csrf_token()); ?>",
                        item_id: "<?php echo e(@$item->id); ?>",
                        episode_id: "<?php echo e(@$episodeId); ?>"
                    },
                    beforeSend: function() {
                        $('.startPartyBtn').html('');
                        $('.startPartyBtn').html(processBtn);
                        $('.startPartyBtn').prop('disabled', true);
                    },
                    success: function(response) {
                        if (response.error) {
                            notify('error', response.error)
                            $('.startPartyBtn').html('');
                            $('.startPartyBtn').html(startBtn);
                            $('.startPartyBtn').prop('disabled', false);

                            return;
                        }
                        setTimeout(() => {
                            window.location.href = response.redirect_url
                        }, 3000);
                    }
                });
            });


            function initData() {
                const video = document.querySelector('video');
                $.each(data, function() {
                    if (!Hls.isSupported()) {
                        video.src = this.src;
                    } else {
                        if (isM3U8(this.src)) {
                            const hls = new Hls();
                            hls.loadSource(this.src);
                            hls.attachMedia(video);
                            window.hls = hls;
                        }
                    }
                    window.player = player;
                })
            }

            initData();

            function isM3U8(url) {
                return /\.m3u8$/.test(url);
            }
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('context'); ?>
    oncontextmenu="return false"
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/oncfgjppqf/zoombox.africa/core/resources/views/templates/labflix/watch.blade.php ENDPATH**/ ?>