<?php $__env->startSection('content'); ?>
    <?php
        $policyPages = getContent('policy_pages.element', false, null, true);
        $register = getContent('register.content', true);
    ?>

    <section class="pt-80 pb-80">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">

                    <div class="account-area">

                        <div class="text-center">
                            <?php
                                $credentials = $general->socialite_credentials;
                            ?>
                            <?php if(@$credentials->google->status == Status::ENABLE || @$credentials->facebook->status == Status::ENABLE || @$credentials->linkedin->status == Status::ENABLE): ?>
                                <h3 class="title mb-3"><?php echo app('translator')->get('Register with'); ?></h3>
                                <ul class="login-social">
                                    <?php if(@$credentials->facebook->status == Status::ENABLE): ?>
                                        <li>
                                            <a class="facebook" href="<?php echo e(route('user.social.login', 'facebook')); ?>"><i class="lab la-facebook-f"></i></a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if(@$credentials->google->status == Status::ENABLE): ?>
                                        <li>
                                            <a class="google" href="<?php echo e(route('user.social.login', 'google')); ?>"><i class="lab la-google"></i></a>
                                        </li>
                                    <?php endif; ?>
                                    <?php if(@$credentials->linkedin->status == Status::ENABLE): ?>
                                        <li>
                                            <a class="linkedin" href="<?php echo e(route('user.social.login', 'linkedin')); ?>"><i class="lab la-linkedin-in"></i></a>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                                <div class="form-separator"><span><?php echo app('translator')->get('or'); ?></span></div>
                            <?php endif; ?>
                        </div>

                        <form class="account-from w-100 verify-gcaptcha" action="<?php echo e(route('user.register')); ?>" method="post">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Username'); ?></label>
                                        <input class="form-control checkUser" name="username" type="text" value="<?php echo e(old('username')); ?>" required>
                                        <small class="text-danger usernameExist"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Email'); ?></label>
                                        <input class="form-control checkUser" name="email" type="email" value="<?php echo e(old('email')); ?>" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Country'); ?></label>
                                        <div class="input-group">
                                            <select class="form-control form-select" id="country" name="country">
                                                <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option class="text-white" data-mobile_code="<?php echo e($country->dial_code); ?>" data-code="<?php echo e($key); ?>" value="<?php echo e($country->country); ?>"><?php echo e(__($country->country)); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Mobile'); ?></label>
                                        <div class="input-group">
                                            <span class="input-group-text mobile-code"></span>
                                            <input name="mobile_code" type="hidden">
                                            <input name="country_code" type="hidden">
                                            <input class="form-control checkUser" id="mobile" name="mobile" type="number" value="<?php echo e(old('mobile')); ?>">
                                        </div>
                                        <small class="text-danger mobileExist"></small>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Password'); ?></label>
                                        <input type="password" class="form-control <?php if($general->secure_password): ?> secure-password <?php endif; ?>" name="password" required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Re-Password'); ?></label>
                                        <input class="form-control" name="password_confirmation" type="password" required>
                                    </div>
                                </div>
                            </div>
                            <?php if (isset($component)) { $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243 = $component; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Captcha::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243)): ?>
<?php $component = $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243; ?>
<?php unset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243); ?>
<?php endif; ?>
                            <?php if($general->agree): ?>
                                <div class="col-lg-12 form-group">
                                    <div class="checkbox-wrapper d-flex align-items-center flex-wrap">
                                        <div class="custom--checkbox">
                                            <input class="checkbox--input" id="agree" name="agree" type="checkbox">
                                            <label class="checkbox--label" for="agree">
                                                <?php echo app('translator')->get('I agree with'); ?>
                                            </label>
                                            <span>
                                                <?php $__empty_1 = true; $__currentLoopData = $policyPages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                    <a class="base--color" href="<?php echo e(route('policies', [$item->id, slug($item->data_values->title)])); ?>" target="_blank"><?php echo e(__($item->data_values->title)); ?></a>
                                                    <?php echo e($loop->last ? '' : ','); ?>

                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                                <?php endif; ?>
                                            </span>
                                        </div>

                                    </div>
                                </div>
                            <?php endif; ?>
                            <div class="text-center">
                                <button class="cmn-btn w-100" type="submit"><?php echo app('translator')->get('Register'); ?></button>
                            </div>
                            <p class="mt-3"><?php echo app('translator')->get('Already have an account?'); ?> <a class="base--color" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login now'); ?></a></p>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div class="modal fade" id="existModalCenter" role="dialog" aria-labelledby="existModalCenterTitle" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="existModalLongTitle"><?php echo app('translator')->get('You are with us'); ?></h5>
                    <span class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                        <i class="las la-times"></i>
                    </span>
                </div>
                <div class="modal-body">
                    <h6 class="text-center"><?php echo app('translator')->get('You already have an account please Login '); ?></h6>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-dark btn-sm" data-bs-dismiss="modal" type="button"><?php echo app('translator')->get('Close'); ?></button>
                    <a class="cmn-btn btn-sm" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login'); ?></a>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .country-code .input-group-text {
            background: #fff !important;
        }

        .country-code select {
            border: none;
        }

        .country-code select:focus {
            border: none;
            outline: none;
        }

        .account-area {
            display: block;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php if($general->secure_password): ?>
    <?php $__env->startPush('script-lib'); ?>
        <script src="<?php echo e(asset('assets/global/js/secure_password.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php endif; ?>
<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function($) {
            <?php if($mobileCode): ?>
                $(`option[data-code=<?php echo e($mobileCode); ?>]`).attr('selected', '');
            <?php endif; ?>
            $('select[name=country]').change(function() {
                $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
                $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
                $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));
            });
            $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
            $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
            $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));
            $('.checkUser').on('focusout', function(e) {
                var url = '<?php echo e(route('user.checkUser')); ?>';
                var value = $(this).val();
                var token = '<?php echo e(csrf_token()); ?>';
                if ($(this).attr('name') == 'mobile') {
                    var mobile = `${$('.mobile-code').text().substr(1)}${value}`;
                    var data = {
                        mobile: mobile,
                        _token: token
                    }
                }
                if ($(this).attr('name') == 'email') {
                    var data = {
                        email: value,
                        _token: token
                    }
                }
                if ($(this).attr('name') == 'username') {
                    var data = {
                        username: value,
                        _token: token
                    }
                }
                $.post(url, data, function(response) {
                    if (response.data != false && response.type == 'email') {
                        $('#existModalCenter').modal('show');
                    } else if (response.data != false) {
                        $(`.${response.type}Exist`).text(`${response.type} already exist`);
                    } else {
                        $(`.${response.type}Exist`).text('');
                    }
                });
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/oncfgjppqf/zoombox.africa/core/resources/views/templates/labflix/user/auth/register.blade.php ENDPATH**/ ?>